---
url: >-
  https://game-engine-io.github.io/enginex-frontend-sdk/reference/api/@getenginex/sdk/interfaces/OperatorConfig.md
---
[Reference](../../../index.md) / [@getenginex/sdk](../index.md) / OperatorConfig

# OperatorConfig

Operator public configuration (`GET /config`).

## Properties

### captcha

> **captcha**: [`CaptchaConfig`](CaptchaConfig.md)

Sign-up captcha.

***

### currencies

> **currencies**: `string`\[]

Accepted currencies.

***

### currency

> **currency**: [`CurrencyInfo`](CurrencyInfo.md)

Default currency details.

***

### defaultCurrency

> **defaultCurrency**: `string`

Default currency.

***

### defaultLanguage?

> `optional` **defaultLanguage?**: `string`

Default language set by the operator.

***

### features

> **features**: `Record`<`string`, `boolean`>

Products and features turned on, e.g. `{ casino: true }`.

***

### languages

> **languages**: `string`\[]

Supported languages.

***

### limits

> **limits**: [`OperatorLimits`](OperatorLimits.md)

Limits in minor units.

***

### otp

> **otp**: [`OtpConfig`](OtpConfig.md)

Flows with OTP.

***

### paymentMethods

> **paymentMethods**: [`PaymentMethod`](PaymentMethod.md)\[]

Payment methods.

***

### timezone?

> `optional` **timezone?**: `string`

Operator IANA timezone, e.g. `America/Sao_Paulo`.

***

### version

> **version**: `string`

Contract version.
